#
# spec file for package rubygem-railties-4_1
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-railties-4_1
Version:        4.1.16
Release:        1.1
%define mod_name railties
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4_1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://www.rubyonrails.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Tools for creating, working with, and running Rails applications
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Rails internals: application bootup, plugins, generators, and rake tasks.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md README.rdoc" \
  -f

%gem_packages

%changelog
* Wed Jul 13 2016 coolo@suse.com
- updated to version 4.1.16
  see installed CHANGELOG.md
  [#]# Rails 4.1.16 (July 12, 2016) ##
  * Do not run `bundle install` when generating a new plugin.
    Since bundler 1.12.0, the gemspec is validated so the `bundle install`
    command will fail just after the gem is created causing confusion to the
    users. This change was a bug fix to correctly validate gemspecs.
  * Rafael Mendonça França*
  * Reading name and email from git for plugin gemspec.
    Fixes #9589.
  * Arun Agrawal*, *Abd ar-Rahman Hamidi*, *Roman Shmatov*
* Tue Mar  8 2016 coolo@suse.com
- updated to version 4.1.15
  see installed CHANGELOG.md
  [#]# Rails 4.1.15 (March 07, 2016) ##
  * No changes.
* Tue Mar  1 2016 coolo@suse.com
- updated to version 4.1.14.2
  see installed CHANGELOG.md
  [#]# Rails 4.1.14.2 (February 26, 2016) ##
  * No changes.
  [#]# Rails 4.1.14.1 (January 25, 2015) ##
  * No changes.
* Tue Jan 26 2016 coolo@suse.com
- updated to version 4.1.14.1
  see installed CHANGELOG.md
* Fri Nov 13 2015 coolo@suse.com
- updated to version 4.1.14
  see installed CHANGELOG.md
  [#]# Rails 4.1.14 (November 12, 2015) ##
  * No changes.
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.1.13
  see installed CHANGELOG.md
  [#]# Rails 4.1.13 (August 24, 2015) ##
  * No changes.
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.1.12
  see installed CHANGELOG.md
  [#]# Rails 4.1.12 (June 25, 2015) ##
  * Add support for inline images in mailer previews by using an interceptor
    class to convert cid: urls in image src attributes to data urls. The
    interceptor is not enabled by default but can be done in an initializer:
    [#] config/initializer/preview_interceptors.rb
    ActionMailer::Base.register_preview_interceptor(ActionMailer::InlinePreviewInterceptor)
  * Andrew White*
  * Fix mailer previews with attachments by using the mail gem's own API to
    locate the first part of the correct mime type.
    Fixes #14435.
  * Andrew White*
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.1.11
  see installed CHANGELOG.md
  [#]# Rails 4.1.11 (June 16, 2015) ##
  * No changes.
* Fri Mar 20 2015 coolo@suse.com
- updated to version 4.1.10
* Mon Jan 19 2015 dmueller@suse.com
- update to 4.1.9:
  * `secret_token` is now saved in `Rails.application.secrets.secret_token`
    and it falls back to the value of `config.secret_token` when it is not
    present in `config/secrets.yml`.
  * Specify dummy app's db migrate path in plugin's test_helper.rb.
  * Change the path of dummy app location in plugin's test_helper.rb for cases
    you specify dummy_path option.
* Mon Nov 10 2014 tboerger@suse.com
- Added missing gem2rpm changes for previous commit
* Mon Nov 10 2014 tboerger@suse.com
- To get rails 4 running on SLE 11 i have switched the
  rb_build_versions definition to rub21 as it is activated within
  devel:languages:ruby. That way we can get running rails 4 on
  SLE 11 too.
* Sun Oct 12 2014 coolo@suse.com
- updated to version 4.1.6
  * Scaffold generator `_form` partial adds `class="field"` for password
    confirmation fields.
  * Avoid namespacing routes inside engines.
    Mountable engines are namespaced by default so the generated routes
    were too while they should not.
    Fixes #14079.
  [#]# Rails 4.1.5 (August 18, 2014) ##
  * Check attributes passed to `create_with` and `where`.
    Fixes CVE-2014-3514.
* Wed Jul 23 2014 mrueckert@suse.com
- - initial package
